petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerCheckReadable

Check whether the viewer can be read from

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerCheckReadable(PetscViewer viewer)

Collective

### Input Parameters

viewer -the PetscViewer context

### See Also

PetscViewerReadable(), PetscViewerCheckWritable(), PetscViewerCreate(), PetscViewerFileSetMode(), PetscViewerFileSetType()

### Level

intermediate

### Location

src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages